Skip to content
Start here

List Tenant Custom Nameservers

client.TenantCustomNameservers.Get(ctx, tenantTag) (*SinglePage[TenantCustomNameserverGetResponse], error)
GET/tenants/{tenant_tag}/custom_ns

List a tenant’s custom nameservers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
tenantTag string

Tenant identifier tag.

maxLength32
ReturnsExpand Collapse
type TenantCustomNameserverGetResponse struct{…}

A single tenant custom nameserver.

DNSRecords []TenantCustomNameserverGetResponseDNSRecord

A and AAAA records associated with the nameserver.

Type TenantCustomNameserverGetResponseDNSRecordsTypeOptional

DNS record type.

One of the following:
const TenantCustomNameserverGetResponseDNSRecordsTypeA TenantCustomNameserverGetResponseDNSRecordsType = "A"
const TenantCustomNameserverGetResponseDNSRecordsTypeAAAA TenantCustomNameserverGetResponseDNSRecordsType = "AAAA"
Value stringOptional

DNS record contents (an IPv4 or IPv6 address).

NSName string

The FQDN of the name server.

formathostname
DeprecatedStatus TenantCustomNameserverGetResponseStatus

Verification status of the nameserver.

One of the following:
const TenantCustomNameserverGetResponseStatusMoved TenantCustomNameserverGetResponseStatus = "moved"
const TenantCustomNameserverGetResponseStatusPending TenantCustomNameserverGetResponseStatus = "pending"
const TenantCustomNameserverGetResponseStatusVerified TenantCustomNameserverGetResponseStatus = "verified"
ZoneTag string

Identifier.

maxLength32
NSSet float64Optional

The number of the set that this name server belongs to.

maximum5
minimum1

List Tenant Custom Nameservers

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.TenantCustomNameservers.Get(context.TODO(), "699d98642c564d2e855e9661899b7252")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "dns_records": [
        {
          "type": "A",
          "value": "1.1.1.1"
        }
      ],
      "ns_name": "ns1.example.com",
      "status": "verified",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "ns_set": 1
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "dns_records": [
        {
          "type": "A",
          "value": "1.1.1.1"
        }
      ],
      "ns_name": "ns1.example.com",
      "status": "verified",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "ns_set": 1
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}